[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.AddHandlerOnDestroy

Adds an OnDestroy event handler to the handlers for the menu item.

## Declaration

Source position: menus.pp line 299

`public procedure TMenuItem.AddHandlerOnDestroy(`
`const OnDestroyEvent: TNotifyEvent;`
`AsFirst: Boolean = False`
`);`

## Arguments

`OnDestroyEvent` |  | Routine added to the handlers for the menu item.
`AsFirst` |  | True if the handler is the first in the list of OnDestroy handlers.